@import '../../styles/variables.scss';
@import '../../styles/mixins.scss';

#home {

  .header {
    padding-bottom: 30px;
    color: $gray;
    display: flex;
    justify-content: space-between;
    &__sort {
      @include title-4;
    }
    &__filter {
      -webkit-appearance: none;
      -moz-appearance: none;
      &::-ms-expand {
        display: none;
      }
      border: 0;
      background: url('./images/chevron-icon.svg') no-repeat center right;
      cursor: pointer;
      padding-right: 22px;
      color: inherit;
    }
  }

  .post {
    padding: 30px 0;
    border-top: 1px solid $gray-light;
    &:last-of-type {
      border-bottom: 1px solid $gray-light;
    }
  }

  .article {
    &__title {
      @include title-2;
      margin-bottom: 20px;
    }
    &__subtitle {
      @include text-3;
      margin-bottom: 20px;
    }
    &__categories {
      margin-bottom: 20px;
    }
  }

  .event {
    &__wrapper {
      display: flex;
      align-items: flex-start;
    }
    &__calendar {
      margin-right: 20px;
      margin-top: 15px;
    }
    &__title {
      @include title-2;
      color: $blue;
      font-weight: 500;
      margin-top: 15px;
      margin-bottom: 10px;
    }
    &__subtitle {
      @include text-3;
      margin-bottom: 20px;
    }
  }

  .job {
    &__title {
      @include title-2;
      font-weight: 500;
      color: $gold;
      margin-top: 15px;
      margin-bottom: 15px;
    }
    &__subtitle {
      @include text-3;
      margin-bottom: 20px;
    }
  }

  .analysis {
    background: mix($gray-light, $white, 30%);
    border-radius: 4px;
    padding: 20px;
    display: flex;
    align-items: flex-start;
    &__image {
      margin-right: 20px;
    }
    &__title {
      @include title-4;
      margin-bottom: 10px;
    }
  }

  .calendar {
    background: mix($blue, $white, 10%);
    border: 1px solid $blue;
    border-radius: 4px;
    color: $blue;
    padding: 8px 12px 4px;
    display: inline-block;
    text-align: center;
    &__month {
      @include text-4;
      margin-bottom: 4px;
    }
    &__day {
      font-size: 30px;
      line-height: 1;
    }
  }

  .discussion {
    &__title {
      @include title-2;
      font-weight: 500;
      margin-top: 20px;
      margin-bottom: 20px;
    }
    &__thread {
      border: 1px solid $gray-light;
      border-radius: 4px;
      margin-bottom: 20px;
    }
    &__reply {
      padding: 20px 20px 20px 50px;
      background: url('./images/reply-icon.svg') no-repeat 25px 20px;
      border-top: 1px solid $gray-light;
    }
    &__reply-title {
      @include title-4;
    }
  }

}
